import { useTranslation } from 'react-i18next';
import { enUS, de } from 'date-fns/locale';

export const useDateLocale = () => {
    const { i18n } = useTranslation();

    const getDateLocale = () => {
        if (i18n.language && i18n.language.startsWith('de')) {
            return de;
        }
        return enUS;
    };

    return getDateLocale();
};
